Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.relate
Class RelateNodeGraph

    java.lang.Object
      com.vividsolutions.jts.operation.relate.RelateNodeGraph

    public class RelateNodeGraph

extends java.lang.Object

Implements the simple graph of Nodes and EdgeEnd which is all that is required to determine topological relationships between Geometries. Also supports building a topological graph of a single Geometry, to allow verification of valid topology.

It is not necessary to create a fully linked PlanarGraph to determine relationships, since it is sufficient to know how the Geometries interact locally around the nodes. In fact, this is not even feasible, since it is not possible to compute exact intersection points, and hence the topology around those nodes cannot be computed robustly. The only Nodes that are created are for improper intersections; that is, nodes which occur at existing vertices of the Geometries. Proper intersections (e.g. ones which occur between the interior of line segments) have their topology determined implicitly, without creating a Node object to represent them.

Version:
  1.7

Constructor Summary
`RelateNodeGraph()`

Method Summary
`void` | `build(GeometryGraph geomGraph)`
`void` | `computeIntersectionNodes(GeometryGraph geomGraph, int argIndex)` Insert nodes for all intersections on the edges of a Geometry.
`void` | `copyNodesAndLabels(GeometryGraph geomGraph, int argIndex)` Copy all nodes from an arg geometry into this graph.
`java.util.Iterator` | `getNodeIterator()`
`void` | `insertEdgeEnds(java.util.List ee)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelateNodeGraph

    public RelateNodeGraph()

Method Detail

### getNodeIterator

    public java.util.Iterator getNodeIterator()

### build

    public void build(GeometryGraph geomGraph)

### computeIntersectionNodes

    public void computeIntersectionNodes(GeometryGraph geomGraph,
                                         int argIndex)

  Insert nodes for all intersections on the edges of a Geometry. Label the created nodes the same as the edge label if they do not already have a label. This allows nodes created by either self-intersections or mutual intersections to be labelled. Endpoint nodes will already be labelled from when they were inserted.

  Precondition: edge intersections have been computed.

### copyNodesAndLabels

    public void copyNodesAndLabels(GeometryGraph geomGraph,
                                   int argIndex)

  Copy all nodes from an arg geometry into this graph. The node label in the arg geometry overrides any previously computed label for that argIndex. (E.g. a node may be an intersection node with a computed label of BOUNDARY, but in the original arg Geometry it is actually in the interior due to the Boundary Determination Rule)

### insertEdgeEnds

    public void insertEdgeEnds(java.util.List ee)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD